## gt5 1.3c

=== Makefile ===
TARGET  = gt5
VERSION = 1.3c
PREFIX  = /usr/local
MAN     = $(PREFIX)/share/man/man1
SHARE   = $(PREFIX)/share/$(TARGET)-$(VERSION)

build:
	@echo nothing to build, gt5 is a shell-script
	@echo run 'make [un]install to [un]install'

install:
	install -o root -g root -m 755 -d $(MAN)
	install -o root -g root -m 755 -d $(PREFIX)/bin
	install -o root -g root -m 755 $(TARGET).1 $(MAN)
	install -o root -g root -m 755 $(TARGET) $(PREFIX)/bin

install_doc:
	install -o root -g root -m 755 -d $(SHARE)
	install -o root -g root -m 755 README LICENSE Changelog $(SHARE)

uninstall:
	rm -rf $(PREFIX)/bin/$(TARGET) $(MAN)/$(TARGET).1 $(SHARE)

## gt5 1.4.0

=== Makefile ===
TARGET  = gt5
VERSION = 1.4.0
PREFIX  ?= /usr/local
MAN     ?= $(PREFIX)/share/man/man1
SHARE   ?= $(PREFIX)/share/$(TARGET)-$(VERSION)

build:
	@echo nothing to build, gt5 is a shell-script
	@echo run 'make [un]install to [un]install'

install:
	install -o root -g root -m 755 -d $(DESTDIR)$(MAN)
	install -o root -g root -m 755 -d $(DESTDIR)$(PREFIX)/bin
	install -o root -g root -m 755 $(TARGET).1 $(DESTDIR)$(MAN)
	install -o root -g root -m 755 $(TARGET) $(DESTDIR)$(PREFIX)/bin

install_doc:
	install -o root -g root -m 755 -d $(DESTDIR)$(SHARE)
	install -o root -g root -m 755 README LICENSE Changelog $(DESTDIR)$(SHARE)

uninstall:
	rm -rf $(DESTDIR)$(PREFIX)/bin/$(TARGET)
	rm -rf $(DESTDIR)$(MAN)/$(TARGET).1
	rm -rf $(DESTDIR)$(SHARE)

## gt5 1.5.0~20091209+bzr25

=== debian/changelog ===
gt5 (1.5.0~20091209+bzr25-2) unstable; urgency=low

  * Move to format: 3.0 (quilt).
  * debian/control
    - (Depends): add ${misc:Depends} for debhelper.
  * debian/rules
    - Remove rules obsoleted by dh(1).
  * debian/source/format
    - New file.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 19 Dec 2009 15:56:21 +0200

gt5 (1.5.0~20091209+bzr25-1) unstable; urgency=low

  * New upstream release.
  * debian/control
    - (Build-Depends): remove dpatch.
    - (Standards-Version): 3.8.3.
  * debian/patches
    - Remove everything. All included in upstream.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 09 Dec 2009 21:42:58 +0200

gt5 (1.4.0-2) unstable; urgency=low

  * debian/compat:
    - Update to 7.
  * debian/control
    - (Build-Depends): Update debhelper to 7.
    - (Standards-Version): update to 3.8.2.
    - (Homepage): Change Sourceforge link to Freshmeat.
  * debian/copyright
    - Change Sourceforge link to Freshmeat.
    - Add missing 'Copyright' word and update upstream year.
    - Spell out GPL-2 (lintian).
  * debian/rules:
    - Adjust comments.
    - (binary-indep): Move commands here from 'binary-arch' (lintian).
    - (clean): use dh_prep (lintian).
  * debian/patches:
    - Add /bin/bash patch (Closes: #519110).
    - Add manual w3m patch (Closes: #518393).

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 08 Aug 2009 19:27:15 +0000

gt5 (1.4.0-1) unstable; urgency=low

  * New upstream release (Closes: #473421).
  * debian/changelog:
    - Unify layout by using french-dashes.
  * debian/control:
    - (Architecture): any => all (shell script).
    - (Homepage): New field. Move URL from 'Description'.
    - (Standards-Version): update to current.
    - (Vcs-*): New fields.
  * debian/copyright:
    - Update indentation.
    - Use ISO 8601 dates.
  * debian/patches/{10,20,30,40}*:
    - Remove upstream integrated patches. Thanks to
      Ferenc Wagner <wferi@niif.hu>
  * debian/patches/10_echo-e.dpatch:
    - New. Remove 'echo -e' dependency (dash fix).
  * debian/patches/20_sf-1360672-exclude-patch.dpatch:
    - New. Sourceforge#1360672 (reworked) add --exclude option.

 -- Jari Aalto <jari.aalto@cante.net>  Sat, 18 Oct 2008 20:04:53 +0300

gt5 (1.3c-3) unstable; urgency=low

  * debian/README.Debian:
    - Add more info about w3am.
  * debian/patches/40_gt5-awk.dpatch:
    - New. Remove gawk dependency and use plain awk.
  * debian/control:
    - Thanks to Santiago Pereson <yaco@yaco.net> for
      pointing out that virtual package 'awk' in debin/control::Depends line
      may pick any awk version. This now handles bug #409974 correctly.

 -- Jari Aalto <jari.aalto@cante.net>  Fri,  9 Feb 2007 19:18:26 +0200

gt5 (1.3c-2) unstable; urgency=low

  * debian/control:
    - (Depends): Add awk | gawk (Closes: #409974).
      Thanks to Santiago Pereson <yaco@yaco.net>
  * gt5.1:
    - Remove duplicate article "the the" (Closes: #409976).
      Thanks to Santiago Pereson <yaco@yaco.net>

 -- Jari Aalto <jari.aalto@cante.net>  Thu,  8 Feb 2007 00:01:07 +0200

gt5 (1.3c-1) unstable; urgency=low

  * New upstream release.
  * debian/watch:
    - new file.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 29 Jan 2007 06:15:47 +0200

gt5 (1.3b-1) unstable; urgency=low

  * Initial release (ITP; Closes: #353365).

 -- Jari Aalto <jari.aalto@cante.net>  Fri,  5 Jan 2007 11:33:14 +0200

=== debian/control ===
Source: gt5
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.3
Vcs-Browser: http://git.debian.org/?p=collab-maint/gt5.git
Vcs-Git: git://git.debian.org/git/collab-maint/gt5.git
Homepage: http://freshmeat.net/projects/gt5

Package: gt5
Architecture: all
Depends: ${misc:Depends}, bash (>= 2.5), w3m | lynx | links | elinks | links2
Description: shell program to display visual disk usage with navigation
 Years have passed and disks have become larger and larger, but even on
 this incredibly huge harddisk era, the space seems to disappear over
 time. This small and effective programs provides more convenient
 listing than the default du(1). It displays what has happened since
 last run and displays dir size and the total percentage. It is
 possible to navigate and ascend to directories by using cursor-keys
 with text based browser (links, elinks, lynx etc.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = gt5

include debian/debian-vars.mk

install: build
	# target: install
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	$(MAKE) install DESTDIR=$(PKGDIR)

binary-indep: build install
	# target: binary-indep
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep

%:
	dh $@

.PHONY: build install configure
.PHONY: binary-indep binary-arch binary

# End of file

## gt5 1.5.0~20101101+bzr28

=== debian/changelog ===
gt5 (1.5.0~20101101+bzr28-1) unstable; urgency=low

   * New upstram release.
     - Unnecessary 'local'. Useless lines in HTML output (Closes: #600450). 
   * debian/control
    - (Breaks): New. Change from 'Conflict' (Lintian I:).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 01 Nov 2010 12:43:00 +0200

gt5 (1.5.0~20101011+bzr26-1) unstable; urgency=low

  * New upstram release.
    - New option --megabytes (Closes: #411573).
    - Fix command line argument handling. Fix undefined function
      gt5_substr_after(). Patch thanks to Stéphane Rosi
      <stephane.rosi@gmail.com> (Closes: #599228).
  * debian/compat
    - Update to 8.
  * debian/control
    - (Build-Depends): update to debhelper 8.
    - (Description): Adjust wording slightly.
    - (Standards-Version): 3.9.1.
  * debian/copyright
    - Update year.
  * debian/debian-vars.mk
    - Delete. No more used.
  * debian/rules
    - Clean up and remove targets handled by dh(1).

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 11 Oct 2010 10:22:24 +0300

=== debian/control ===
Source: gt5
Section: utils
Priority: optional
Maintainer: Jari Aalto <jari.aalto@cante.net>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=collab-maint/gt5.git
Vcs-Git: git://git.debian.org/git/collab-maint/gt5.git
Homepage: http://freshmeat.net/projects/gt5

Package: gt5
Architecture: all
Depends: ${misc:Depends}, bash (>= 2.5), w3m | lynx | links | elinks | links2
Description: shell program to display visual disk usage with navigation
 Years have passed and disks have become larger and larger, but even
 on this incredibly huge harddisk era, the space seems to disappear
 over time. This small shell program provides more convenient
 listing than the default disk usage du(1). Program displays what has
 happened since last run and displays dir size and the total
 percentage. It is possible to navigate and descend to directories by
 using cursor keys with text based browser (links, elinks, lynx etc.)

## gt5 1.5.0~20111220%2Bbzr29

=== debian/changelog ===
gt5 (1.5.0~20111220+bzr29-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #920067)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 12.
  * debian/control:
      - Bumped Standards-Version to 4.4.0.
      - Update Vcs-Git and Vcs-Browser to salsa repository.
  * debian/tests/control: created to provide basic CI tests.

 -- Arthur Diniz <arthurbdiniz@gmail.com>  Fri, 19 Jul 2019 10:34:15 -0400

gt5 (1.5.0~20111220+bzr29-2) unstable; urgency=medium

  debian/compat
    - Updae to 9.
  * ebian/control
    - (Build-Depends): Update to debhelper 9.
    - (Homepage): Update.
    - (Standards-Version): Update to 3.9.8.
    - (Vcs-*): Update to anonscm.debian.org.
  * debian/copyright
    - Update URLs.
    - Update from DEP5 to Format 1.0.
  * debian/patches
    - (10): Respect command line arguments (Closes: 758634).
      Patch thanks to Ronny Lindner <ronny.lindner@unister.de>.
    - (20): Correct summary calculation (Closes: 758645).
      Patch thanks to Ronny Lindner <ronny.lindner@unister.de>.

 -- Jari Aalto <jari.aalto@cante.net>  Wed, 19 Oct 2016 10:04:20 +0300

gt5 (1.5.0~20111220+bzr29-1) unstable; urgency=low

  * New upstream release
    - Improve --debug option. Now writes debug files.
    - Fix du(1) --max-depth option check (Closes: #652713).

 -- Jari Aalto <jari.aalto@cante.net>  Tue, 20 Dec 2011 23:24:49 +0200

gt5 (1.5.0~20101101+bzr28-2) unstable; urgency=low

  * debian/control
    - (Standards-Version): update to 3.9.2.
    - (Description): Fix typos. Patch thanks to Aputsiaq Janussen <aj@isit.gl>.
      (Closes: #638562).
  * debian/copyrigh
    - Update to DEP 5.

 -- Jari Aalto <jari.aalto@cante.net>  Mon, 19 Sep 2011 15:12:56 +0300

=== debian/control ===
Source: gt5
Section: utils
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/arthurbdiniz-guest/gt5
Vcs-Git: https://salsa.debian.org/arthurbdiniz-guest/gt5.git
Homepage: https://launchpad.net/gt5

Package: gt5
Architecture: all
Depends: ${misc:Depends}, bash (>= 2.5), w3m | lynx | links | elinks | links2
Description: shell program to display visual disk usage with navigation
 Years have passed and disks have become larger and larger, but even
 on this incredibly huge harddisk era, the space seems to disappear
 over time. This small shell program provides more convenient
 listing than the default disk usage du(1). The program displays what has
 happened since last run and displays dir size and the total
 percentage. It is possible to navigate and descend to directories by
 using cursor keys with text based browsers like links, elinks, lynx etc.

## gt5 1.5.0~20111220+bzr29

=== Makefile ===
#   Copyright information
#
#       Copyright (C) 2004-2008 Thomas Sattler <tsattler@users.sourceforge.net>
#       Copyright (C) 2008-2009 Jari Aalto <jari.aalto@cante.net>
#
#   License
#
#       This program is free software; you can redistribute it and/or modify
#       it under the terms of the GNU General Public License as published by
#       the Free Software Foundation; either version 2 of the License, or
#       (at your option) any later version.
#
#       This program is distributed in the hope that it will be useful,
#       but WITHOUT ANY WARRANTY; without even the implied warranty of
#       MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
#       GNU General Public License for more details.
#
#       You should have received a copy of the GNU General Public License
#       along with this program. If not, see <http://www.gnu.org/licenses/>.

DESTDIR		=
prefix		= /usr
exec_prefix	= $(prefix)
man_prefix	= $(prefix)/share

PACKAGE		= gt5
INSTALL		= /usr/bin/install
INSTALL_BIN	= $(INSTALL) -m 755
INSTALL_DATA	= $(INSTALL) -m 644
INSTALL_OBJS	= $(PACKAGE)

MANDIR1		= $(DESTDIR)$(man_prefix)/man/man1
BINDIR		= $(DESTDIR)$(exec_prefix)/bin
SBINDIR		= $(DESTDIR)$(exec_prefix)/sbin
ETCDIR		= $(DESTDIR)$/etc/$PACKAGE
SHAREDIR	= $(DESTDIR)$(prefix)/share/$(PACKAGE)
LIBDIR		= $(DESTDIR)$(prefix)/lib/$(PACKAGE)

INSTALL_OBJS_MAN1  = *.1

all: build

build:
	@echo gt5: nothing to build.

clean:
	-rm -f *[#~] *.\#* *.o *.exe core *.stackdump

distclean: clean

install-etc:
	$(INSTALL_BIN) -d $(ETCDIR)
	$(INSTALL_BIN)	  $(INSTALL_OBJS_ETC) $(ETCDIR)

install-bin:
	$(INSTALL_BIN) -d $(BINDIR)
	$(INSTALL_BIN)    $(INSTALL_OBJS) $(BINDIR)

install-man:
	$(INSTALL_BIN) -d $(MANDIR1)
	$(INSTALL_DATA) $(INSTALL_OBJS_MAN1) $(MANDIR1)

install: install-bin install-man

# End of file

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: gt5
 Section: utils
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
-Vcs-Browser: https://salsa.debian.org/arthurbdiniz-guest/gt5
-Vcs-Git: https://salsa.debian.org/arthurbdiniz-guest/gt5.git
+Maintainer: Arthur Diniz <arthurbdiniz@gmail.com>
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian/gt5
+Vcs-Git: https://salsa.debian.org/debian/gt5.git
 Homepage: https://launchpad.net/gt5
+Rules-Requires-Root: no
 
 Package: gt5
 Architecture: all

=== debian/tests/control ===
Test-Command: gt5 --help
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
http://sf.net/gt5/gt5-(.*)\.tar\.gz
